Bug 26805 - Remove remaining instances of jquery.checkboxes plugin from the OPAC
Summary: Remove remaining instances of jquery.checkboxes plugin from the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26824 26830 26006
  Show dependency treegraph
 
Reported: 2020-10-23 18:09 UTC by Owen Leonard
Modified: 2020-11-03 09:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC (10.29 KB, patch)
2020-10-23 18:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC (12.12 KB, patch)
2020-10-23 18:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC (13.19 KB, patch)
2020-10-24 00:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC (13.49 KB, patch)
2020-10-24 00:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC (13.81 KB, patch)
2020-10-27 13:12 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC (13.86 KB, patch)
2020-10-27 19:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC (13.91 KB, patch)
2020-11-01 12:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-23 18:09:09 UTC
Four remaining templates in the OPAC can be updated to enable the removal of the jquery.checkboxes plugin:

opac-results.tt
opac-search-history.tt
opac-shelves.tt
opac-suggestions.tt
Comment 1 Owen Leonard 2020-10-23 18:33:43 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-10-23 18:47:33 UTC Comment hidden (obsolete)
Comment 3 Lisette Scheer 2020-10-24 00:41:14 UTC
The checkboxes and select all/unselect boxes all seem to work properly. 
On the catalog and list pages it doesn't seem to have any effect on the dropdown menu or link.  

On Purchase Suggestions the Select Suggestions to : Delete link never becomes clickable. 

Search History worked properly.
Comment 4 Owen Leonard 2020-10-24 00:53:45 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2020-10-24 00:58:40 UTC
Created attachment 112349 [details] [review]
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC

This patch removes the use of the jquery.checkboxes plugin from the 5
templates in the OPAC which still use it. The plugin itself is removed.

To test, apply the patch and test the "Select all" and "Clear all" links
work to select and deselect checkboxes on the following pages:

- The catalog search results page: The controls should also enable
  and disable the "Select titles to..." menu.
- The list contents page:  The controls should also enable
  and disable the "Select titles to..." links.
- The suggestions page: The controls should also enable
  and disable the "Select suggestions to..." link.
- The search history page: The controls should affect only the
  corresponding table ("Current" or "Previous") and should enable and
  disable the "Select searches to..." link.

This patch also modifies the template for grouped search results, as
enabled by the OpacGroupResults system preference, but I don't know how
to test it.
Comment 6 David Nind 2020-10-25 04:41:51 UTC
For me, all the Select all and Clear all actions work as expected.

For the OPAC search everything works as expected, and am able to add to cart and lists and place holds.

In the your account section:
- All places with Select all and Clear all actions work as expected
- Your purchase suggestions:
  . Select suggestions to: Delete? - doesn' work
  . Search box doesn't seem to work
- Lists:
  . Styling for new list button: deosn't display correctly*
  . Remove from list in header doesn't seem to work (the button at the bottom of the page does); the place hold action does work
- Search history:
  . Styling in header: doesn't display correctly*
- Your summary:
  . Holds styling: suspend button in column doesn't display correctly*

* I'm assuming these are separate bugs and that maybe some of the other items are separate bugs as well (where required). If so, I am happy to sign off.

(Tested using Firefox developer edition 83.0b3 (64-bit) on Ubuntu 18.04.)
Comment 7 Owen Leonard 2020-10-26 16:55:15 UTC
> - Your purchase suggestions:
>   . Select suggestions to: Delete? - doesn' work

In what way? I'm able to check one or more boxes, click "Delete," and it triggers a modal confirmation. The confirmation works for me.

>   . Search box doesn't seem to work

I see this too, but it's not related to this patch.

> - Lists:
>   . Styling for new list button: deosn't display correctly*

This is fixed by Bug 26706

>   . Remove from list in header doesn't seem to work (the button at the
> bottom of the page does);

Confirmed.

> - Search history:
>   . Styling in header: doesn't display correctly*
> - Your summary:
>   . Holds styling: suspend button in column doesn't display correctly*


Both should be fixed by Bug 26706
Comment 8 David Nind 2020-10-27 10:38:58 UTC
(In reply to Owen Leonard from comment #7)
> > - Your purchase suggestions:
> >   . Select suggestions to: Delete? - doesn' work
> 
> In what way? I'm able to check one or more boxes, click "Delete," and it
> triggers a modal confirmation. The confirmation works for me.

I retested, this is now working as expected!

> >   . Remove from list in header doesn't seem to work (the button at the
> > bottom of the page does);
> 
> Confirmed.

I retested, pop-up box says "No item selected" (with all items or just one item selected) .
Comment 9 Owen Leonard 2020-10-27 13:12:45 UTC
Created attachment 112568 [details] [review]
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC

This patch removes the use of the jquery.checkboxes plugin from the 5
templates in the OPAC which still use it. The plugin itself is removed.

To test, apply the patch and test the "Select all" and "Clear all" links
work to select and deselect checkboxes on the following pages:

- The catalog search results page: The controls should also enable
  and disable the "Select titles to..." menu.
- The list contents page:  The controls should also enable
  and disable the "Select titles to..." links.
- The suggestions page: The controls should also enable
  and disable the "Select suggestions to..." link.
- The search history page: The controls should affect only the
  corresponding table ("Current" or "Previous") and should enable and
  disable the "Select searches to..." link.

This patch also modifies the template for grouped search results, as
enabled by the OpacGroupResults system preference, but I don't know how
to test it.
Comment 10 David Nind 2020-10-27 19:49:10 UTC
Created attachment 112594 [details] [review]
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC

This patch removes the use of the jquery.checkboxes plugin from the 5
templates in the OPAC which still use it. The plugin itself is removed.

To test, apply the patch and test the "Select all" and "Clear all" links
work to select and deselect checkboxes on the following pages:

- The catalog search results page: The controls should also enable
  and disable the "Select titles to..." menu.
- The list contents page:  The controls should also enable
  and disable the "Select titles to..." links.
- The suggestions page: The controls should also enable
  and disable the "Select suggestions to..." link.
- The search history page: The controls should affect only the
  corresponding table ("Current" or "Previous") and should enable and
  disable the "Select searches to..." link.

This patch also modifies the template for grouped search results, as
enabled by the OpacGroupResults system preference, but I don't know how
to test it.

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 Katrin Fischer 2020-11-01 12:30:05 UTC
Created attachment 112799 [details] [review]
Bug 26805: Remove remaining instances of jquery.checkboxes plugin from the OPAC

This patch removes the use of the jquery.checkboxes plugin from the 5
templates in the OPAC which still use it. The plugin itself is removed.

To test, apply the patch and test the "Select all" and "Clear all" links
work to select and deselect checkboxes on the following pages:

- The catalog search results page: The controls should also enable
  and disable the "Select titles to..." menu.
- The list contents page:  The controls should also enable
  and disable the "Select titles to..." links.
- The suggestions page: The controls should also enable
  and disable the "Select suggestions to..." link.
- The search history page: The controls should affect only the
  corresponding table ("Current" or "Previous") and should enable and
  disable the "Select searches to..." link.

This patch also modifies the template for grouped search results, as
enabled by the OpacGroupResults system preference, but I don't know how
to test it.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2020-11-03 09:59:38 UTC
Pushed to master for 20.11, thanks to everybody involved!